# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

# 1.1.0
### Added
- Add `enabledPlatforms` parameter to constructor of `OnirixCameraControlsModule`.

# 1.0.4
### Fixed
- Fixed clicks intercepted in preview mobile.

# 1.0.3
### Changed
- Better zoom and pan defaults for OrbitControls.

### Fixed
- Fixed NaNs generated when some values were close to zero.

# 1.0.2
### Fixed
- Fixed error when targing the current position with animateTo.

# 1.0.1
### Added
- Add `forEuler` quaternion constructor.

### Fixed
- Fixed camera controls desynchronization.
- Fixed target ignored on camera controls.

## 1.0.0

### Added
- Add OrbitControls and its related methods: enableOrbitControls, setOrbitalControlsPanRange,
  setOrbitControlsRotateRange, setOrbitControlsZoomRange, setOrbitControlsTarget, and animateOrbitControlsTo.
